PHP Manual
Prev |  | Next

# oci_fetch_object

(PHP 5)

oci_fetch_object -- Returns the next row from the result data as an object

## Description

object oci_fetch_object ( resource statement )

Returns the next row from the result data as an object.

Subsequent calls to oci_fetch_object() will return the next row from the result or `FALSE` if there are no more rows.

For details on the data type mapping performed by the oci8 driver, see the datatypes supported by the driver

## Parameters

`statement`

  A valid OCI statement identifier.

## Return Values

Returns an object, which attributes correspond to fields in statement, or `FALSE` if there are no more rows in the `statement`.

> Note: This function sets NULL fields to PHP `NULL` value.

> Note: Oracle returns all field names in uppercase and associative indices in the result object will be uppercased too.

## See Also

oci_fetch_array()
oci_fetch_assoc()
oci_fetch_row()
oci_fetch_all()

Prev | Home | Next
oci_fetch_assoc | Up | oci_fetch_row